function outsum = matrowsum(mat)
% matrowsum finds the sum of every row in a matrix
% Returns a vector of the row sums
% Format: matrowsum(matrix)
 
[row col] = size(mat);
 
% Preallocate the vector to the number of rows
outsum = zeros(1,row);
 
% Every row is being summed so the outer loop
% has to be over the rows
for i = 1:row
    % Initialize the running sum to 0 for every row
    runsum = 0;
    for j = 1:col
        runsum = runsum + mat(i,j);
    end
    outsum(i) = runsum;
end
end
